Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Linear_Priority_Mapping Class Reference

A simple implementation of the Priority_Mapping interface. More...

`#include <Linear_Priority_Mapping.h>`

Inheritance diagram for TAO_Linear_Priority_Mapping:

[legend]
Collaboration diagram for TAO_Linear_Priority_Mapping:

[legend]
List of all members.

## Public Methods
| TAO_Linear_Priority_Mapping (long policy)
| Default constructor.
virtual | ~TAO_Linear_Priority_Mapping (void)
| The destructor.
virtual CORBA::Boolean | to_native (RTCORBA::Priority corba_priority, RTCORBA::NativePriority &native_priority)
virtual CORBA::Boolean | to_CORBA (RTCORBA::NativePriority native_priority, RTCORBA::Priority &corba_priority)
## Private Attributes
long | policy_
| The scheduling policy.
int | min_
int | max_

## Detailed Description

A simple implementation of the Priority_Mapping interface.

This implementation uses linear mapping between the range of priorities for a given scheduling class (ACE_SCHED_OTHER, ACE_SCHED_FIFO, ACE_SCHED_RR) and the valid range of CORBA priorities (0...32767)

## Constructor & Destructor Documentation

TAO_Linear_Priority_Mapping::TAO_Linear_Priority_Mapping | ( | long | policy | ) |

| Default constructor.

TAO_Linear_Priority_Mapping::~TAO_Linear_Priority_Mapping | ( | void |  | ) | `[virtual]`

| The destructor.

## Member Function Documentation

CORBA::Boolean TAO_Linear_Priority_Mapping::to_CORBA | ( | RTCORBA::NativePriority | native_priority,
|  | RTCORBA::Priority & | corba_priority
| ) | `[virtual]`

| Implements TAO_Priority_Mapping.

CORBA::Boolean TAO_Linear_Priority_Mapping::to_native | ( | RTCORBA::Priority | corba_priority,
|  | RTCORBA::NativePriority & | native_priority
| ) | `[virtual]`

| Implements TAO_Priority_Mapping.

## Member Data Documentation

int TAO_Linear_Priority_Mapping::max_`[private]`

int TAO_Linear_Priority_Mapping::min_`[private]`

long TAO_Linear_Priority_Mapping::policy_`[private]`

| The scheduling policy.

The documentation for this class was generated from the following files:

- Linear_Priority_Mapping.h
- Linear_Priority_Mapping.cpp